
#define kTidesDatabaseVersion	1

#define kMaxSiteNameSize 64

#define kTideEmptyFlag	0x80
#define kTideHighFlag	0x40

#define kTideNegativeFlag 0x80

#define kTideHoursMask	0x1F
#define kTideHeightMask	0x7F

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=packed
#endif

typedef struct {
	unsigned char	hour;		//	0x80 set if empty; 0x40 if high tide
	unsigned char	minute;
	char			tideHeightHi;
	char			tideHeightLo;
} TideEntry;

#define kTideEntrySize 4

#define kMetersFlag	0x01

typedef struct {
	char			site[kMaxSiteNameSize];
	unsigned char	version;
	unsigned char	maxTidesPerDay;
	unsigned char	flags;		//	0x01 meters flag
	unsigned char	unused;
	unsigned short	stYear;
	unsigned char	stMonth;
	unsigned char	stDay;
	unsigned short	endYear;
	unsigned char	endMonth;
	unsigned char	endDay;
} TideDatabaseHeader;

#define kTideDatabaseHeaderSize (12 + kMaxSiteNameSize)

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

enum TideFileFormat {
	low = 0,
	high,
	xtide
};

enum TideFileUnits {
	feet,
	meters
};

